Package org.eclipse.emf.compare.ide.ui.internal.handler

# Class CompareInNewEditor

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.emf.compare.ide.ui.internal.handler.AbstractCompareHandler
org.eclipse.emf.compare.ide.ui.internal.handler.CompareInNewEditor

All Implemented Interfaces:
  `org.eclipse.core.commands.IHandler`, `org.eclipse.core.commands.IHandler2`

public class CompareInNewEditor extends AbstractCompareHandler

## Constructor Summary

Constructors
Constructor
Description
`CompareInNewEditor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(org.eclipse.core.commands.ExecutionEvent event)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.handler.AbstractCompareHandler

`createCompareEditorInput`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.IHandler

`getHandlerLabel`

## Constructor Details

### CompareInNewEditor

public CompareInNewEditor()

## Method Details

### execute

public Object execute(org.eclipse.core.commands.ExecutionEvent event) throws org.eclipse.core.commands.ExecutionException

Throws:
  `org.eclipse.core.commands.ExecutionException`
See Also:
  - `IHandler.execute(org.eclipse.core.commands.ExecutionEvent)`